#ifndef _GRAPRA_MATERIAL_LIB_
#define _GRAPRA_MATERIAL_LIB_

#include <string>
#include <map>

#include "Material.hpp"

class MaterialLib
{
public:
	void Load(std::string Filename, std::string Path);
	Material GetMaterial(std::string Name);
private:
	std::map<std::string, Material> m_Materials;
};


#endif